GDBserver

Public Attributes | List of all members
xtensa_regtable_t Struct Reference

## Public Attributes
int | gdb_regnum
int | gdb_offset
int | ptrace_cp_offset
int | ptrace_offset
int | size
int | coproc
int | dbnum
char * | name

## Detailed Description

Definition at line 20 of file xtensa-xtregs.c.

## Member Data Documentation

## ◆ coproc

int xtensa_regtable_t::coproc

Definition at line 26 of file xtensa-xtregs.c.

## ◆ dbnum

int xtensa_regtable_t::dbnum

Definition at line 27 of file xtensa-xtregs.c.

## ◆ gdb_offset

int xtensa_regtable_t::gdb_offset

Definition at line 22 of file xtensa-xtregs.c.

## ◆ gdb_regnum

int xtensa_regtable_t::gdb_regnum

Definition at line 21 of file xtensa-xtregs.c.

## ◆ name

char* xtensa_regtable_t::name

Definition at line 29 of file xtensa-xtregs.c.

Referenced by xtensa_fill_xtregset(), and xtensa_store_xtregset().

## ◆ ptrace_cp_offset

int xtensa_regtable_t::ptrace_cp_offset

Definition at line 23 of file xtensa-xtregs.c.

## ◆ ptrace_offset

int xtensa_regtable_t::ptrace_offset

Definition at line 24 of file xtensa-xtregs.c.

Referenced by xtensa_fill_xtregset(), and xtensa_store_xtregset().

## ◆ size

int xtensa_regtable_t::size

Definition at line 25 of file xtensa-xtregs.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/xtensa-xtregs.c